Open Infrastructure - Task #7436

Hack-a-ucloud-weekend (2019-12-07)
12/07/2019 10:22 AM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Nico Schottelius % Done:
Category: Estimated time:

Target version:
PM Check date:

12/07/2019

100%
0.00 hour

Description

objective

e get ucloud into a customer usable state

Tasks

how does a user interact with ucloud?

where to deploy it

the usual production things (security, availability, ...)
etcd instalation

monitoring

How does a user get access to ucloud?

¢ Registering on https://account.ungleich.ch
o [nstalling the cli
e Adding credit card details (how?)

Concrete steps

e checkout status of ucloud-pay
o what does it already do?
o what needs to be done
e Documentation: Have an easy entry point for users

Others / unsorted

¢ one cli for both client/server

¢ console support

e supporting users with a jump host
o supporting windows users
o supporting legacy ip users

e ordering as a first class citizen

Subtasks:
Task # 7437: Run ucloud with a single authentication token
Task # 7438: Explore local ucloud setup

Closed
Closed

History

#1 - 12/07/2019 10:40 AM - Nico Schottelius

- Description updated

#2 - 12/07/2019 10:47 AM - Nico Schottelius
- Status changed from New to In Progress

- Assignee changed from Il nu to Nico Schottelius

04/10/2024
https://account.ungleich.ch

#3 - 12/07/2019 10:57 AM - Nico Schottelius
- Status changed from In Progress to New

- Assignee changed from Nico Schottelius to Il nu

Doc/uotp seems to be outdated:
pipenv run python app.py

[10:59] diamond:uotp% 1s

bin LICENSE Pipfile Pipfile.lock README.md setup.py uotp
[10:59] diamond:uotp% 1ls uotp/ bin/

bin/:

uotp

uotp/:

app.py client.py config.py helper.py _ _init__ .py schemas.py
[10:59] diamond:uotp%

there is no app.py

#4 - 12/07/2019 10:58 AM - Nico Schottelius

- Status changed from New to In Progress

- Assignee changed from Il nu to Nico Schottelius

#5 - 01/02/2020 03:30 PM - Nico Schottelius

- Status changed from In Progress to Closed

04/10/2024
